!+ Function to calculate the Rayleigh-Jeans approximation.
!
! Method:
!	The standard Rayleigh-Jeans formula is used.
!
! Note:
!	This routine is used to provide a tail to the Planck function.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION RAYLEIGH_JEANS_TAIL(LAMBDA)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADERS.
      INCLUDE 'incl/astron_constants.ccf'
      INCLUDE 'incl/physical_constants_pp.ccf'
!
!     DUMMY VARIABLES.
      REAL*8	!, INTENT(IN)
     &     LAMBDA
!             INITIAL WAVELENGTH
      REAL*8	!, INTENT(OUT)
     &     RAYLEIGH_JEANS_TAIL
!             TAIL IRRADIANCE.
!
!
!     EVALUATE BLACK BODY FLUX.
      RAYLEIGH_JEANS_TAIL=2.0D+00*C_LIGHT*K_BOLTZMANN*T_EFFECTIVE_SOLAR
     &   /(3.0D+00*LAMBDA**3)
!     SCALE TO GET THE FLUX AT THE TOP OF THE ATMOSPHERE.
      RAYLEIGH_JEANS_TAIL=RAYLEIGH_JEANS_TAIL
     &   *(SUN_RADIUS/D_EARTH_SUN)**2
!
!
      RETURN
      END
